using C1.Xaml.ExpressionEditor;
using C1.Xaml.FlexGrid;

namespace ExpressionEditorSamples
{
    public class FlexGridEE : C1FlexGrid, ISupportExpressions
    {
        #region Ctor
        public FlexGridEE() : base()
        {
            ExpressionEditors = new ExpressionEditorCollection(this);
        }
        #endregion

        #region ISupportExpressions

        public void SetCellValue(int row, string colName, object value)
        {
            this[row, colName] = value;
        }

        public ExpressionEditorCollection ExpressionEditors { get; }
        #endregion
    }
}
